# Rubn Garduo Barbier
# Diseo y Evaluacin de Sistemas Interactivos
# Proyecto de visualizacin interactiva

# Importamos las librerias que necesitamos
library(readxl)
library(scales)
library(ggplot2)

####      DATOS POR PAISES   ####

# Leemos los datos
datos = read_excel(path="Child-marriage-database_Apr2020.xlsx" ,
                  sheet="Child marriage",
                  range="A12:K214")

colnames(datos)=c("Country","Female_Married_by_15","" ,
                  "Female_Married_by_18", "",
               "Reference_year","Data_source","Male_Married_by_18","",
               "Reference_year","Data_source")

# Los depuramos, y nos quedamos con los que nos interesan
datos=cbind(datos[,1],datos[,2],datos[,4],datos[,8])

# Quitamos los valores ausentes y los reemplazamos por 0
hacer_0=function(x){
  ifelse(is.na(x),0,x)
}

datos=data.frame(sapply(datos,hacer_0))

datos$Female_Married_by_15=as.double(as.character(datos$Female_Married_by_15))
datos$Female_Married_by_18=as.double(as.character(datos$Female_Married_by_18))
datos$Male_Married_by_18=as.double(as.character(datos$Male_Married_by_18))

# Vamos a leer los datos que contienen los cdigos para cada pais, 
# y los mezclaremos con nuestros datos para quedarnos con lo que nos interesa
datos_nuevos=read.csv('https://raw.githubusercontent.com/holtzy/D3-graph-gallery/master/DATA/world_population.csv',header=T)
colnames(datos_nuevos)[1]='Country'
todos=merge(datos,datos_nuevos,by="Country")
todos=todos[,-6]

todos=todos[,c("Country","code","Female_Married_by_15",
               "Female_Married_by_18","Male_Married_by_18")]

# Exportamos el conjunto de datos en formato csv
write.csv(todos,file='datos/datosUnicef.csv',row.names = FALSE)

#### RESUMEN ####
datos = read_excel(path="Child-marriage-database_Apr2020.xlsx" ,
                   sheet="Child marriage",
                   range="A216:K228")

colnames(datos)=c("Region","Female_Married_by_15","" ,
                  "Female_Married_by_18", "",
                  "Reference_year","Data_source","Male_Married_by_18","",
                  "Reference_year","Data_source")

# Los depuramos, y nos quedamos con los que nos interesan
datos=cbind(datos[,1],datos[,2],datos[,4],datos[,8])

# Cambiamos los elementos NA por 0
datos[is.na(datos)] = 0

datos$Region=as.factor(datos$Region)
datos$Female_Married_by_15=as.double(as.character(datos$Female_Married_by_15))
datos$Female_Married_by_18=as.double(as.character(datos$Female_Married_by_18))
datos$Male_Married_by_18=as.double(as.character(datos$Male_Married_by_18))

# Exportamos los datos en un formato csv
write.csv(datos,file='datos/datosUnicefResumen.csv',row.names = F)







