function dibujar_grafico(opcion,selectedVar,pestannas,pestanna){

    
    // Obtiene los elementos con los identificadores pasados.
    pestanna = document.getElementById(pestanna.id);
    listaPestannas = document.getElementById(pestannas.id);
    
    // Obtiene las divisiones que tienen el contenido de las pestañas.
    cpestanna = document.getElementById('c'+pestanna.id);
    listacPestannas = document.getElementById('contenido'+pestannas.id);
    
    i=0;

    // Se ocultan las pestanas
    while (typeof listacPestannas.getElementsByTagName('div')[i] != 'undefined'){
        $(document).ready(function(){
            $(listacPestannas.getElementsByTagName('div')[i]).css('display','none');
            $(listaPestannas.getElementsByTagName('li')[i]).css('background','');
            $(listaPestannas.getElementsByTagName('li')[i]).css('padding-bottom','');
            
        });
        i += 1;
    }

    // Se cambia el contenido de las pestanas
    $(document).ready(function(){
        $(cpestanna).css('display','');
        $(pestanna).css('background','dimgray');
        $(pestanna).css('padding-bottom','2px'); 
    });

    //Guardamos el conjunto de datos para los graficos de barras (del conjunto resumen)
    var conjuntoDatos='datos/datosUnicefResumen.csv';

    // Definimos los margenes 
    var margin = {top: 90, right: 50, bottom: 150, left: 50},
    width = 1000 - margin.left - margin.right,
    height = 900 - margin.top - margin.bottom;

    // Creamos el objeto svg, eliminando antes el objeto anterior
    d3.selectAll("svg").remove();
    var svg = d3.select("#zona_graficos")
    .append("svg")
    .attr("width", width + margin.left + margin.right)
    .attr("height", height + margin.top + margin.bottom)
    .append("g")
    .attr("transform", "translate(" + margin.left + "," + margin.top + ")");

    
    // Elegimos la representacion en cada pestana
    switch(opcion){

    case "multiple":
        {
            // Importamos los datos
            d3.csv(conjuntoDatos, function(data) {
            
              // Guardamos los valores de mortalidad en cada caso, para grupos y subgrupos
              var subgroups = data.columns.slice(1)
              var groups = d3.map(data, function(d){return(d.Region)}).keys()
            
              // Eje X
              var x = d3.scaleBand()
                  .domain(groups)
                  .range([0, width])
                  .padding([0.2]);
              var xAxis = svg.append("g")
                .attr("transform", "translate(0," + height + ")")
                xAxis.transition().duration(700).call(d3.axisBottom(x))
                .selectAll("text")
                .attr("transform", "translate(-10,0)rotate(-45)")
                .style("text-anchor", "end");
              
              
              // Eje Y
              var y = d3.scaleLinear()
                .domain([0, 40])
                .range([ height, 0 ]);
              svg.append("g")
                .call(d3.axisLeft(y));

              // Subgrupos
              var xSubgroup = d3.scaleBand()
                .domain(subgroups)
                .range([0, x.bandwidth()])
                .padding([0.05])
            
              //Paleta de colores
              var color = d3.scaleOrdinal()
                .domain(subgroups)
                .range(['darkRed','darkBlue','darkGreen'])
            
              // Y dibujamos las barras
              svg.append("g")
                .selectAll("g")
                .data(data)
                .enter()
                .append("g")
                .attr("transform", function(d) { return "translate(" + x(d.Region) + ",0)"; })
                .selectAll("rect")
                .data(function(d) { return subgroups.map(function(key) { return {key: key, value: d[key]}; }); })
                .enter().append("rect")
                  .attr("x", function(d) { return xSubgroup(d.key); })
                  .attr("y", function(d) { return y(d.value); })
                  .attr("width", xSubgroup.bandwidth())
                  .attr("height", function(d) { return height - y(d.value); })
                  .attr("fill", function(d) { return color(d.key); })

                  // Aniadimos la etiqueta del eje y
                  svg.append("text")
                  .attr("transform", "rotate(-90)")
                  .attr("y", 0 - margin.left-10)
                  .attr("x",0 - (height / 2))
                  .attr("dy", "1em")
                  .style("font-size", 24)
                  .style("text-anchor", "middle")
                  .text("%");

                  // Titulo
                  svg.append("text")
                  .attr("x", width / 2 )
                  .attr("y", -25)
                  .style("text-anchor", "middle")
                  .style("font-size", "36px")
                  .style('fill', 'black')
                  .text(" Porcentaje de menores casados en el mundo");
                  
                  // Definimos la leyenda
                  var categorias = ["Mujeres menores de 15 años","Mujeres menores de 18 años",
                  " Hombres menores de 18 años"];

                  var legend = svg.selectAll(".legend")
                  .data(categorias.slice())
                  .enter().append("g")
                  .attr("class", "legend")
                  .attr("transform", function(d, i) { return "translate(0," + i * 20 + ")"; });

                  // Colores de la leyenda, y sus propiedades
                  legend.append("rect")
                  .attr("x", width - 850)
                  .attr("y", height - 500)
                  .attr("width", 15)
                  .attr("height", 15)
                  .style("fill", color);
            
                  // Texto de la leyenda, y sus propiedades
                  legend.append("text")
                    .attr("x", width - 655)
                    .attr("y", height - 485)
                    .attr("font-size",15)
                    .style("text-anchor", "end")
                    .text(function(d) { return d; });
                
            })
        }
        break;

        // Grafico de barras interactivo
        case "interactivo":
            {
                  // Inicializamos los ejes x e y
                  var x = d3.scaleBand()
                    .range([ 0, width ])
                    .padding(0.2);
                  var xAxis = svg.append("g")
                    .attr("transform", "translate(0," + height + ")")
                  var y = d3.scaleLinear()
                    .range([ height, 0]);
                  var yAxis = svg.append("g")
                    .attr("class", "myYaxis")

                  // Cremos el tooltip para la interaccion del raton
                  var tooltip = d3.select("body").append("div").attr("class", "toolTip");

                  // Cogemos los datos
                  d3.csv(conjuntoDatos, function(data) {
                
                  // Eje X
                  x.domain(data.map(function(d) { return d.Region; }))
                  xAxis.transition().duration(700).call(d3.axisBottom(x))
                    .selectAll("text")
                    .attr("transform", "translate(-10,0)rotate(-45)")
                    .style("text-anchor", "end");
                
                  // Eje Y
                  y.domain([0, d3.max(data, function(d) { return +d[selectedVar] })]);
                  yAxis.transition().duration(1000).call(d3.axisLeft(y));

                  // Creamos una variable que rellene las barras ya existentes
                  var rellenaBarras = svg.selectAll("rect")
                  .data(data)
                
                  // Y actualizamos las barras
                  rellenaBarras
                    .enter()
                    .append("rect")
                    .merge(rellenaBarras)
                    //.transition()
                    //.duration(1000)
                      .attr("x", function(d) { return x(d.Region); })
                      .attr("y", function(d) { return y(d[selectedVar]); })
                      .attr("width", x.bandwidth())
                      .attr("height", function(d) { return height - y(d[selectedVar]); })
                      .attr("fill", "darkred")
                      .on("mousemove", function(d){
                        tooltip
                          .style("left", d3.event.pageX - 50 + "px")
                          .style("top", d3.event.pageY - 70 + "px")
                          .style("display", "inline-block")
                          .html((d.Region) + "<br>" + (d[selectedVar])+' %');
                    })
                    .on("mouseout", function(d){ tooltip.style("display", "none");});
                    
                    // Aniadimos la etiqueta del eje y
                  svg.append("text")
                    .attr("transform", "rotate(-90)")
                    .attr("y", 0 - margin.left-10)
                    .attr("x",0 - (height / 2))
                    .attr("dy", "1em")
                    .style("font-size", 24)
                    .style("text-anchor", "middle")
                    .text("%");
                    

                  //  Titulo al grafico
                  switch(selectedVar){
                    case 'Female_Married_by_15':{
                          svg.append("text")
                            .attr("x", width / 2 )
                            .attr("y", -25)
                            .style("text-anchor", "middle")
                            .style("font-size", "36px")
                            .style('fill', 'black')
                            .text(" Porcentaje de mujeres casadas menores de 15 años");
                          }
                    break;

                    case 'Female_Married_by_18':{
                          svg.append("text")
                            .attr("x", width / 2 )
                            .attr("y", -25)
                            .style("text-anchor", "middle")
                            .style("font-size", "36px")
                            .style('fill', 'black')
                            .text(" Porcentaje de mujeres casadas menores de 18 años");
                          }
                    break;

                    case 'Male_Married_by_18':{
                          svg.append("text")
                            .attr("x", width / 2 )
                            .attr("y", -25)
                            .style("text-anchor", "middle")
                            .style("font-size", "36px")
                            .style('fill', 'black')
                            .text(" Porcentaje de hombres casados menores de 18 años");
                          }
                    break;
          }
        })
            }
        break;

        case "mapa":{

                  // Creacion del objeto svg
                  var svg = d3.select("svg"),
                  width = +svg.attr("width"),
                  height = +svg.attr("height");
                
                  // Opcion del zoom
                  /*
                  svg=d3.select("svg")
                  .call(d3.zoom().on("zoom", function () {
                  svg.attr("transform", d3.event.transform)
                  }))
                  .append("g"),
                  width = +svg.attr("width"),
                  height = +svg.attr("height");
                  */

                // Creacion del mapa
                var path = d3.geoPath();
                var projection = d3.geoMercator()
                  .scale(140)
                  .center([0,20])
                  .translate([width / 2, height / 2]);

                // Guardamos los datos y el color
                var data = d3.map();
              
                // Escala de colores
                var colorScale = d3.scaleThreshold()
                  .domain([0,5,10,15,20,30,40,50,60,70,80,90,100])
                  .range( d3.schemeOrRd[9]);
              
                // Tooltip, para la interaccion del raton
                var tooltip = d3.select("body").append("div").attr("class", "toolTip");

                // Cargamos los datos que usaremos para hacer la representacion
                d3.queue()
                  .defer(d3.json, "datos/world.geojson")
                  .defer(d3.csv, "datos/datosUnicef.csv", function(d) { data.set(d.code, +d[selectedVar],+d.Country); })
                  .await(ready);

                function ready(error, topo) {

                  // Dibujamos el mapa
                  svg.append("g")
                    .selectAll("path")
                    .data(topo.features)
                    .enter()
                    .append("path")
                      // Se dibujan los paises
                      .attr("d", d3.geoPath()
                        .projection(projection)
                      )
                      // Y se colorea cada pais de acuerdo al dato correspondiente
                      .attr("fill", function (d) {
                        d.total = data.get(d.id) || 0;
                        return colorScale(d.total);
                      })
                      .style("stroke", "transparent")
                      .attr("class", function(d){ return "Country" } )
                      .style("opacity", .8)
                      .on("mousemove", function(d){
                    tooltip
                      .style("left", d3.event.pageX - 50 + "px")
                      .style("top", d3.event.pageY - 70 + "px")
                      .style("display", "inline-block")
                      .html( d.properties.name+ "<br>" + (d.total)+' %');
                    })
                    .on("mouseout", function(d){    
                      tooltip.style("display", "none");});
                    }

                }
        break;
    }
}

